# ChangeLog for games-fps/ut2004
# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/ut2004/ChangeLog,v 1.61 2007/02/17 08:54:50 nyhm Exp $

  17 Feb 2007; Tristan Heaven <nyhm@gentoo.org> ut2004-3369-r4.ebuild:
  Fix ROOT abuse, bug #167277

  07 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r4.ebuild:
  Fixed an error with sed and error check it in the ebuild and converted einfo
  to elog where appropriate.

  06 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> files/ut2004.xml,
  ut2004-3369-r4.ebuild:
  Changed to use GAMES_PREFIX_OPT in ut2004.xml instead of a hard-coded /opt.

  01 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r4.ebuild:
  Added dedicated to IUSE, even though it isn't actually used, to work around
  a bug in games-mods.eclass, which I'll be fixing properly at a later date.

  03 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r4.ebuild:
  Remove the game name from the description.

  29 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r4.ebuild:
  There's no reason for us to inherit multilib unless we're using the system
  libraries, which we don't support.

  26 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r4.ebuild:
  Removing dependency on virtual/x11.

  06 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r4.ebuild:
  Fix up the execstack stuff so it works for people not using the default
  GAMES_PREFIX_OPT.

  17 May 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  -ut2004-3369-r2.ebuild:
  Cleaning up older ebuilds.

  02 May 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r2.ebuild,
  ut2004-3369-r4.ebuild:
  Added fix for bug #131633.

  27 Apr 2006; Marien Zwart <marienz@gentoo.org>
  files/digest-ut2004-3369-r2, Manifest:
  Fixing SHA256 digest, pass four

  14 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r2.ebuild,
  ut2004-3369-r4.ebuild:
  Removed redundant pkg_setup.

  11 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r4.ebuild:
  Marking stable on amd64/x86 to bring in new Mega bonuspack and to close bug
  #129373.

  31 Mar 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r2.ebuild,
  ut2004-3369-r4.ebuild:
  Changed nomirror to mirror and nostrip to strip.

  21 Mar 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r2.ebuild,
  ut2004-3369-r4.ebuild:
  Changed to using =virtual/libstdc++-3.3 as I realized that a specific
  version would be required to future-proof the ebuild against future GCC ABI
  changes.

  21 Mar 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r2.ebuild,
  ut2004-3369-r4.ebuild:
  Changed to using virtual/libstdc++ on both x86 and amd64.

  20 Mar 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  -ut2004-3369-r3.ebuild, ut2004-3369-r4.ebuild:
  Cleaned up older versions and changed DESCRIPTION.  Closing bug #126704.

*ut2004-3369-r4 (17 Mar 2006)

  17 Mar 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  +ut2004-3369-r4.ebuild:
  Added a new revision from Paul Bredbury <brebs@sent.com> and closing bug
  #123202, bug #116528, and bug #126538.

  15 Mar 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r3.ebuild:
  Added ut2004-bonuspack-mega to RDEPEND since users are forced to download
  the entire thing due to ut2004-bonuspack-ece even if they have an ECE
  edition CD/DVD. This adds content everyone wants and also keeps people from
  having a very large download for no reason, so I hope there's no objections
  to it.

*ut2004-3369-r3 (14 Mar 2006)

  14 Mar 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  -ut2004-3369-r1.ebuild, ut2004-3369-r2.ebuild, +ut2004-3369-r3.ebuild:
  Added a new -r3 revision to forcefully pull in the latest ut2004-data and
  ut2004-bonuspack-ece revisions, marking -r2 stable on x86 and amd64, and
  removing -r1.

  06 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r1.ebuild,
  ut2004-3369-r2.ebuild:
  Added another mirror.  Thanks to SonicLux on #gentoo-games.

  04 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369-r1.ebuild,
  ut2004-3369-r2.ebuild:
  Updated with modular X dependencies.

*ut2004-3369-r2 (21 Dec 2005)

  21 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  +ut2004-3369-r2.ebuild:
  Version bumped to 3369.2 patch.

  14 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  -ut2004-3355-r1.ebuild, -ut2004-3369.ebuild, ut2004-3369-r1.ebuild:
  Marking stable on x86/amd64 since the newer version is really needed for
  playing on most Internet servers. I've also added comments with regard to
  bug #114733 to the ebuild, added RESTRICT=stricter, and am removing older
  versions, since they're obsolete.

*ut2004-3369-r1 (13 Dec 2005)

  13 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  +ut2004-3369-r1.ebuild:
  Version bumped and closing bug #115419.

  12 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3355-r1.ebuild,
  ut2004-3369.ebuild:
  Made libstdc++-v3 required for both x86 and amd64 and closing bug #115116.

  08 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3369.ebuild:
  Added einfo about render-to-texture.

  07 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  -ut2004-3355-r2.ebuild:
  Removing experimental version as 3369 includes the functionality.

*ut2004-3369 (04 Dec 2005)

  04 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org> +ut2004-3369.ebuild:
  Version bumped to 3369 and closing buf #114321.

  21 Oct 2005; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3355-r1.ebuild:
  Added addition dir variable to games_make_wrapper for bug #109793.

  16 Oct 2005; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3355-r1.ebuild,
  ut2004-3355-r2.ebuild:
  Changed ebuild ... config to emerge --config for bug #109482.

  21 Sep 2005; Chris Gianelloni <wolf31o2@gentoo.org> -ut2004-3355.ebuild,
  ut2004-3355-r1.ebuild:
  Changed check_license to explicitly list license to check. Added x86 to
  3355-r1 ebuild, as there is no difference for x86 from 3355. Cleaning up
  older ebuilds.

  30 Aug 2005; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3355.ebuild,
  ut2004-3355-r1.ebuild, ut2004-3355-r2.ebuild:
  Changed to match new 3dgamers mirrors structure in thirdpartymirrors.

  03 Aug 2005; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3355-r2.ebuild:
  Removed ed/sed since Default.ini and DefUser.ini are provided by ut2004-data
  package.

*ut2004-3355-r2 (03 Aug 2005)

  03 Aug 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  +ut2004-3355-r2.ebuild:
  Added experimental version for testing. This should look visually much
  better on x86. The amd64 version will come in an official patch based on
  feedback from this test, so please test this and report any bugs to
  https://bugzilla.icculus.org so it can be fixed.

  27 Jul 2005; Jeremy Huddleston <eradicator@gentoo.org>
  ut2004-3355-r1.ebuild:
  Added sys-libs/libstdc++-v3 RDEPEND since it uses libstdc++.so.5 on amd64.

  24 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3355-r1.ebuild:
  Changed S to WORKDIR for proper operation on amd64.

*ut2004-3355-r1 (16 Jun 2005)

  16 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  +ut2004-3355-r1.ebuild:
  Added amd64 patch from icculus and closing bug #94397.

  16 May 2005; Chris Gianelloni <wolf31o2@gentoo.org> -ut2004-3339.ebuild,
  ut2004-3355.ebuild:
  Marking stable on x86/amd64.

*ut2004-3355 (22 Feb 2005)

  22 Feb 2005; Chris Gianelloni <wolf31o2@gentoo.org> +ut2004-3355.ebuild:
  Initial import of broken-up ut2004 install and version bumped to 3355.

  18 Jan 2005; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3339.ebuild:
  Added ROOT to dosym.

*ut2004-3339 (24 Nov 2004)

  24 Nov 2004; Chris Gianelloni <wolf31o2@gentoo.org> -ut2004-3323.ebuild,
  +ut2004-3339.ebuild:
  Version bumped and added Editor's Choice Edition Bonus Pack.

  17 Nov 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3323.ebuild:
  Removed calls to specific 3dgamers mirrors and changed to use
  mirror://3dgamers instead.

  15 Sep 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3323.ebuild:
  Fixing patch and closing bug #64094.

*ut2004-3323 (14 Sep 2004)

  14 Sep 2004; Chris Gianelloni <wolf31o2@gentoo.org> -ut2004-3236-r1.ebuild,
  -ut2004-3270.ebuild, +ut2004-3323.ebuild:
  Removing old versions, updating to newest patch, and closing bug #63958.

  02 Sep 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3270.ebuild:
  Fixing ut2004.xml link and closing bug #62532.

*ut2004-3270 (31 Aug 2004)

  31 Aug 2004; Chris Gianelloni <wolf31o2@gentoo.org> +ut2004-3270.ebuild:
  Updated to latest patch level.

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  ut2004-3236-r1.ebuild:
  virtual/glibc -> virtual/libc

*ut2004-3236-r1 (26 Jun 2004)

  26 Jun 2004; Chris Gianelloni <wolf31o2@gentoo.org> +ut2004-3236-r1.ebuild,
  -ut2004-3236.ebuild:
  Updated to use newest patch files, compiled with GCC 3.x, rather than GCC 2.x.
  Also added uz2unpack DEPEND.  Should close bug #51644.

  22 Jun 2004; Chris Gianelloni <wolf31o2@gentoo.org> -ut2004-3204.ebuild,
  ut2004-3236.ebuild:
  Moving 3236 to stable on x86 due to security vulnerability in Unreal Engine.
  See bug #54726 for more information.

*ut2004-3236 (16 Jun 2004)

  16 Jun 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3204.ebuild,
  +ut2004-3236.ebuild:
  Modified 3204 ebuild to hopefully fix problems with merging on amd64. Also
  adding 3236 ebuild to portage.

  16 Jun 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3204.ebuild:
  Moved patch and amd64 ucc-bin/ut2004-bin renames to before uncompressing to
  attempt to solve problems with installation on amd64. Marked stable on x86 and
  closing bug #54028.

  03 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> ut2004-3204.ebuild:
  fix dir -> die typo; skip unnecessary dodirs

  27 May 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3204.ebuild:
  Fixing typo with amd64 portion of patch.

  25 May 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3204.ebuild:
  Added USE_DVD= to keep people from overriding USE_DVD on the command line.
  This is being done to reduce bug reports as the auto-detection should be
  working, and if not, it needs to be reported and fixed rather than
  circumvented.

  25 May 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3204.ebuild:
  Fixing chmod line.

  24 May 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3204.ebuild:
  Adding a chmod u+w before uncompression since files are coming from CD.

  21 May 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3204.ebuild:
  Fixing my SNAFU in src_unpack and closing bug #51644.

  21 May 2004; Chris Gianelloni <wolf31o2@gentoo.org> ut2004-3204.ebuild:
  Hoping to have fixed the CD/DVD detection in pkg_setup.

*ut2004-3204 (20 May 2004)

  20 May 2004; Chris Gianelloni <wolf31o2@gentoo.org> +metadata.xml,
  +files/ut2004.xml, +ut2004-3204.ebuild:
  Initial import.  Ebuild by me.

